Imports PCBI.Automation
Imports System
Imports System.Windows.Forms

Namespace WindowsFormsApplicationCSharp
	Friend Class DemoHelper
		Public Shared Sub CreateGerberReport()
			IAutomation.IAutomationInit()
			Dim mainWindowPCBI As IPCBIWindow = IAutomation.CreateNewPCBIWindow(False)
			Dim jobPath As String = mainWindowPCBI.CreateNewJobDirectory("C:\tests\FirstTestJob", "FirstTestJob", "pcb")
			mainWindowPCBI.LoadODBJob(jobPath)
			Dim firstStep As IStep = mainWindowPCBI.GetStep("pcb")
			Dim openDLG As OpenFileDialog = New OpenFileDialog()
			openDLG.Title = "Select gerber file for demo application"
			If openDLG.ShowDialog() = DialogResult.OK Then
				Dim gerberLayerName As String = firstStep.AddGerberLayer(openDLG.FileName, False)
				Dim GerberLayer As ILayer = firstStep.GetLayer(gerberLayerName)
				Dim counterPads As Integer = 0
				Dim counterLines As Integer = 0
				Dim counterArcs As Integer = 0
				Dim counterOthers As Integer = 0
				For Each ObjOnGerber As IObject In GerberLayer.GetAllLayerObjects()
					If ObjOnGerber.Type = IObjectType.Pad Then
						counterPads += 1
					Else
						If ObjOnGerber.Type = IObjectType.Line Then
							counterLines += 1
						Else
							If ObjOnGerber.Type = IObjectType.Arc Then
								counterArcs += 1
							Else
								counterOthers += 1
							End If
						End If
					End If
				Next
				Console.WriteLine("Report Gerber File " + gerberLayerName)
				Console.WriteLine("Pads: " + counterPads.ToString())
				Console.WriteLine("Lines: " + counterLines.ToString())
				Console.WriteLine("Arcs: " + counterArcs.ToString())
				Console.WriteLine("Others: " + counterOthers.ToString())
                MessageBox.Show(String.Concat(New String() {"Report Gerber File ", gerberLayerName, Environment.NewLine, "Pads: ", counterPads.ToString(), Environment.NewLine, "Lines: ", counterLines.ToString(), Environment.NewLine, "Arcs: ", counterArcs.ToString(), Environment.NewLine, "Others: ", counterOthers.ToString()}), "Result", MessageBoxButtons.OK, MessageBoxIcon.Asterisk)
			End If
		End Sub
	End Class
End Namespace
